Bug 106929 - default keyboard coding system mangles utf-8 input in xterm
default keyboard coding system mangles utf-8 input in xterm
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: emacs (Show other bugs)
1.0
All Linux
low Severity low
: ---
: ---
Assigned To: Jens Petersen
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-13 14:32 EDT by Axel Thimm
Modified: 2005-10-31 17:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-31 07:52:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Axel Thimm 2003-10-13 14:32:29 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1) Gecko/20031008

Description of problem:
In Red Hat Linux 9 the keyboard-coding-system defaulted to utf-8. Current
rawhide has 'nil'. The effect is that for example German umlauts get mapped to
M-c and other control sequences when calling emacs in an xterm.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.emacs -nw -q
2.Try to type umlauts -> Control sequences
3.M-x set-keyboard-coding-system -> utf-8
4.Try to type umlauts -> works
    

Additional info:

The workaround is easy:
(set-keyboard-coding-system 'utf-8)
in .emacs.el

Also graphical emacs is fine even with keyboard-coding-system == 'nil'.
Comment 1 Jens Petersen 2003-10-27 07:54:43 EST
Thanks should get fixed in emacs-21.3-7.  Please confirm.
Comment 2 Axel Thimm 2003-10-31 07:52:19 EST
German umlauts work again, closing this bug. Thanks Jens.

Note You need to log in before you can comment on or make changes to this bug.